Timeline of events

Events in date order: contributions, lobbying, gifts, legislation introduced, divided votes, roll calls. Filter by at least one of member, matter, entity, kind, or a date range. Newest first.

GET https://www.chicagopolitics.org/api/v1/timeline

Authorizations

HeaderValue
AuthorizationBearer <key>. Get a key; see authentication.

Query parameters

NameTypeRequiredDescription
memberintegerMember id.
matterstringMatter id.
entitystringEntity id (as actor or target).
kindstringComma-separated: contribution, lobbyist_contribution, gift, lobbying, lobbied_on, introduced, vote_yes, vote_no, roll_call.
fromstring (date)
tostring (date)
limitintegerDefault 50.
cursorstringFrom meta.nextCursor of the previous page.

Response

200 Events

Example request

curl "https://www.chicagopolitics.org/api/v1/timeline" \
  -H "Authorization: Bearer $CHICAGO_POLITICS_KEY"

Errors: 400, 401, 404, 429 (see errors).